/*customize your needs starts here*/
.platform_needs{
    padding: 100px 0;
    background: #F9FAFE;
}

.platform_need_section{
    display: flex;
    align-items: flex-start;
    gap: 80px;
    margin-bottom: 48px;
}
.needs_grid_item_exclude{
    align-self: center;
    display: flex;
    grid-column: 4;
}
.platform_need_section .left_side{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    /*gap: 20px;*/
    flex: 1 0 0;
}
.platform_need_section .left_side .subtitle{
    margin-left:0;
}
.platform_need_section .left_side h2{
    margin-bottom:8px;
    color: var(--text-primary, #15171B);

    /* heading/h2 */
    font-family: var(--font-family-family, Sora);
    font-size: var(--heading-h2-size, 52px);
    font-style: normal;
    font-weight: 400;
    line-height: var(--heading-h2-line-height, 66px); /* 126.923% */
}
.platform_need_section .right_side img{
    max-width: 600px;
    border-radius: 16px;
}
.platform_need_section .left_side p{
    color: var(--text-secondary, #35393F);
    /* body/md/regular */
    font-family: var(--font-family-family, Sora);
    font-size: var(--body-md-size, 16px);
    font-style: normal;
    font-weight: 400;
    line-height: var(--body-md-line-height, 24px); /* 150% */

}
.platform_needs .needs_grid{
    display: grid;
    align-items: flex-start;
    gap: 20px;
    flex: 1 0 0;
    align-self: stretch;
    grid-template-columns: repeat(4, 1fr);
}
.platform_needs .needs_grid .needs_grid_item{
    display: flex;
    padding: 20px;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    flex: 1 0 0;
    align-self: stretch;
    border-radius: 12px;
    border: 1px solid #DDE2F3;
    background: #FFF;
}
.platform_needs .needs_grid .needs_grid_item p{
    color: var(--text-primary, #15171B);

    /* body/lg/medium */
    font-family: var(--font-family-family, Sora);
    font-size: var(--body-lg-size, 20px);
    font-style: normal;
    font-weight: 400;
    line-height: var(--body-lg-line-height, 32px); /* 160% */
}
.platform_needs .needs_grid .needs_grid_item img{
    margin-bottom: 60px;
}
@media(max-width:1024px){
    .platform_need_section .right_side img{
        max-width:100%;
    }
    .platform_needs {
        padding: 64px 0;
        background: #F9FAFE;
    }
    .platform_needs .needs_grid {
        grid-template-columns: repeat(3, 1fr);
    }
    .platform_need_section .left_side h2 {
        color: var(--text-primary, #15171B);
        font-family: var(--font-family-family, Sora);
        font-size: var(--heading-h2-size, 28px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--heading-h2-line-height, 38px);
    }
    .platform_needs .needs_grid .needs_grid_item {
        gap: 8px;
    }
    .platform_needs .needs_grid .needs_grid_item img {
        margin-bottom: 0;
        max-width: 36px;
    }
    .platform_needs .needs_grid .needs_grid_item p {
        color: var(--text-primary, #15171B);
        font-family: var(--font-family-family, Sora);
        font-size: var(--body-lg-size, 18px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--body-lg-line-height, 28px);
    }
    .needs_grid .partner_withus{
        padding: 16px 14px;
    }
    .needs_grid_item_exclude {
        grid-column: 2;
    }
}
@media(max-width:767px){
    .platform_need_section .right_side img{
        max-width:100%;
    }
    .platform_needs {
        padding: 40px 0;
        background: #F9FAFE;
    }
    .platform_need_section {
        display: flex;
        align-items: flex-start;
        gap: 20px;
        margin-bottom: 20px;
        flex-direction: column;
    }
    .platform_need_section .left_side h2 {
        
        color: var(--text-primary, #15171B);
        font-family: var(--font-family-family, Sora);
        font-size: var(--heading-h2-size, 24px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--heading-h2-line-height, 32px);
    }
    .platform_needs .needs_grid{
        grid-template-columns: repeat(2, 1fr);
        gap: 16px;
    }
    .platform_needs .needs_grid .needs_grid_item {
        gap: 20px;
        padding: 12px;
        min-height: 140px;
    }
    .platform_need_section .right_side img{
        max-width: 100%;
    }
    .platform_needs .needs_grid .needs_grid_item img {
        margin-bottom: 0;
        max-width: 24px;
    }
    .platform_needs .needs_grid .needs_grid_item p {
        
        font-size: var(--body-lg-size, 16px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--body-lg-line-height, 24px);
    }
    .needs_grid_item_exclude {
        grid-column: 1 / -1;
        justify-content: center;
    }
    .needs_grid .partner_withus {
        padding: 16px 14px;
        margin: 42px 0;
        font-size: var(--button-lg-size, 16px);
        /* align-self: center; */
    }
}